Index: nutchez-0.1/README
===================================================================
--- nutchez-0.1/README	(revision 99)
+++ nutchez-0.1/README	(revision 100)
@@ -17,8 +17,9 @@
  * Where are the program and configuration files
 
-1. Nutch home is installed on /opt/nutch
-2. Nutch conf dir is set on ~/.nutchez/conf
-3. Tomcat home is installed on ~/.nutchez/tomcat
-4. The final crawl results is located on ~/.nutchez/search
-5. The nutchez log will be recorded on ~/.nutchez/log
-6. The full path of this README is /etc/nutch/README
+1. Project home is installed on /opt/nutchez
+2. Nutch home is installed on /opt/nutchez/nutch
+3. Nutch conf dir is set on ~/.nutchez/conf
+4. Tomcat home is installed on ~/.nutchez/tomcat
+5. The final crawl results is located on ~/.nutchez/search
+6. The nutchez log will be recorded on ~/.nutchez/log
+7. The full path of this README is /etc/nutch/README
Index: nutchez-0.1/bin/nutch
===================================================================
--- nutchez-0.1/bin/nutch	(revision 99)
+++ nutchez-0.1/bin/nutch	(revision 100)
@@ -12,4 +12,9 @@
 #   NUTCH_OPTS      Extra Java runtime options.
 #
+
+NUTCH_HOME=/opt/nutchez/nutch
+NUTCH_CONF_DIR=~/.nutchez/conf
+NUTCH_LOG_DIR=~/.nutchez/log
+
 cygwin=false
 case "`uname`" in
@@ -77,6 +82,6 @@
 
 # some directories
-THIS_DIR=`dirname "$THIS"`
-NUTCH_HOME=`cd "$THIS_DIR/.." ; pwd`
+
+
 
 # some Java parameters
Index: nutchez-0.1/bin/nutchez
===================================================================
--- nutchez-0.1/bin/nutchez	(revision 99)
+++ nutchez-0.1/bin/nutchez	(revision 100)
@@ -11,9 +11,9 @@
 
   export JAVA_HOME=/usr/lib/jvm/java-6-sun
-  export NUTCH_HOME=/opt/nutch
+  export NUTCH_HOME=/opt/nutchez/nutch
   export NUTCH_CONF_DIR=~/.nutchez/conf
   export NUTCH_LOG_DIR=~/.nutchez/log
 
-. /opt/nutch/bin/nutchez-func.sh
+. /opt/nutchez/nutch/bin/nutchez-func.sh
 
 init_nutchez
@@ -146,4 +146,5 @@
     #else
     1)
+      clean_tempfile
       exit
       ;;
@@ -157,4 +158,5 @@
       ;;
     255)
+      clean_tempfile
       echo_dialog_v "ESC pressed !!"
       ;;
Index: nutchez-0.1/bin/nutchez-func.sh
===================================================================
--- nutchez-0.1/bin/nutchez-func.sh	(revision 99)
+++ nutchez-0.1/bin/nutchez-func.sh	(revision 100)
@@ -49,14 +49,15 @@
 promote_tempfile () {
   echo_dialog_v "7. chang tmp as txt"
-  rm ~/.nutchez/sav/n.*.txt
+  rm -f ~/.nutchez/sav/n.*.txt
   mv /tmp/n.urls.tmp ~/.nutchez/sav/n.urls.txt
   mv /tmp/n.robot.tmp ~/.nutchez/sav/n.robot.txt
   mv /tmp/n.crawler.tmp ~/.nutchez/sav/n.crawler.txt
   mv /tmp/n.tomcat.tmp ~/.nutchez/sav/n.tomcat.txt
+  rm -f /tmp/n.*.tmp
 }
 
 clean_tempfile () {
   echo_dialog_v "7. delete tmp"
-  rm /tmp/n.*.tmp
+  rm -f /tmp/n.*.tmp
 }
 
@@ -93,5 +94,5 @@
   if ! [ -e ~/.nutchez/tomcat ] ;then
     # isntall tomcat to home
-    cp -rf /opt/nutch/tomcat ~/.nutchez/
+    cp -rf /opt/nutchez/tomcat ~/.nutchez/
     chown -R $LOGNAME:$LOGNAME ~/.nutchez/tomcat/
     # make search dir
@@ -185,5 +186,5 @@
         --yesno "$MSG" 26 51
   RET=$?
-  echo_dialog_v "final return = $RET"
+  echo_dialog_v "final return = $RET"  
   return $RET
 }
@@ -202,12 +203,12 @@
   setup_nutchez
   install_tomcat
-  echo_dialog_v "/opt/nutch/bin/nutch crawl ~/.nutchez/urls -dir ~/.nutchez/search -depth $DEPTH"
+  echo_dialog_v "/opt/nutchez/nutch/bin/nutch crawl ~/.nutchez/urls -dir ~/.nutchez/search -depth $DEPTH"
   echo_dialog_v "nutch conf dir = $NUTCH_CONF_DIR"
-  /opt/nutch/bin/nutch crawl ~/.nutchez/urls -dir ~/.nutchez/search -depth $DEPTH -topN 5000 -threads 1000
+  /opt/nutchez/nutch/bin/nutch crawl ~/.nutchez/urls -dir ~/.nutchez/search -depth $DEPTH -topN 5000 -threads 1000
 }
 
 start_tomcat () {
   echo_dialog_v "8. start_tomcat "
-  echo_dialog_v "/opt/nutch/tomcat/bin/startup.sh"
+  echo_dialog_v "/opt/nutchez/nutch/tomcat/bin/startup.sh"
   if [ -e /tmp/search ];then
     rm -rf /tmp/search
Index: nutchez-0.1/debian/changelog
===================================================================
--- nutchez-0.1/debian/changelog	(revision 99)
+++ nutchez-0.1/debian/changelog	(revision 100)
@@ -1,6 +1,7 @@
-nutchez (0.1-2) unstable; urgency=low
+nutchez (0.1-3) unstable; urgency=low
 
-  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>
+  * Initial release (Closes: #4)  <nnnn is the bug number of your ITP>
+  *
   * 
 
- -- Wei-Yu Chen <waue0920@gmail.com>  Tue, 07 Jul 2009 11:22:46 +0800
+ -- Wei-Yu Chen <waue0920@gmail.com>  Fri, 10 Jul 2009 14:34:53 +0800
Index: nutchez-0.1/debian/nutchez.install
===================================================================
--- nutchez-0.1/debian/nutchez.install	(revision 99)
+++ nutchez-0.1/debian/nutchez.install	(revision 100)
@@ -2,10 +2,10 @@
 sav		etc/nutch
 README*		etc/nutch
-bin		opt/nutch
-lib		opt/nutch
-tomcat		opt/nutch
-plugins		opt/nutch
-*.jar		opt/nutch
-*.job		opt/nutch
-*.xml		opt/nutch
-default.properties	opt/nutch
+bin		opt/nutchez/nutch
+lib		opt/nutchez/nutch
+tomcat		opt/nutchez
+plugins		opt/nutchez/nutch
+*.jar		opt/nutchez/nutch
+*.job		opt/nutchez/nutch
+*.xml		opt/nutchez/nutch
+default.properties	opt/nutchez/nutch
Index: nutchez-0.1/debian/nutchez.links
===================================================================
--- nutchez-0.1/debian/nutchez.links	(revision 99)
+++ nutchez-0.1/debian/nutchez.links	(revision 100)
@@ -1,1 +1,1 @@
-etc/nutch  opt/nutch/conf
+etc/nutch  opt/nutchez/nutch/conf
Index: nutchez-0.1/debian/nutchez.postinst
===================================================================
--- nutchez-0.1/debian/nutchez.postinst	(revision 99)
+++ nutchez-0.1/debian/nutchez.postinst	(revision 100)
@@ -8,6 +8,6 @@
 fi
 
-ln -sf /opt/nutch/bin/nutchez /usr/sbin/
-ln -sf /opt/nutch/bin/nutchez-func.sh /usr/sbin/
+ln -sf /opt/nutchez/nutch/bin/nutchez /usr/bin/
+chmod 777 /opt/nutchez
 
 show_message(){
Index: nutchez-0.1/debian/nutchez.postrm
===================================================================
--- nutchez-0.1/debian/nutchez.postrm	(revision 99)
+++ nutchez-0.1/debian/nutchez.postrm	(revision 100)
@@ -11,12 +11,12 @@
 #fi
 
-for i in `sudo find /home/ -name ".nutchez"`; do
-  if [ -d $i ];then
-    echo "delete this dir :  $i"
-    rm -r $i
-  fi
-done
+#for i in `sudo find /home/ -name ".nutchez"`; do
+#  if [ -d $i ];then
+#    echo "delete this dir :  $i"
+#    rm -r $i
+#  fi
+#done
 
-rm -f /usr/sbin/nutchez*
+rm -f /usr/bin/nutchez
 
 rm -rf /tmp/search
